
/*
     FDV DirectMusic Midi Player (main module)
     Author: Fabio Dalla Vecchia (alias Buzzard)
     email: fvecchia@hotmail.com (contact me anyway)
     Web: http://www.geocities.com/fdvbuzzard (GEC Game Programming)
     Date: 03/21/2000

     Tested in Watcom C/C++ 11.0 and MS Visual C++ 5.0

     Include the following files in your project:

     * fdv_dmus.c
     * f99_dmus.h
     * fdv_dmXX.lib  (see explanation below)
     * dxguid.lib (from DirectX 7.0 SDK)    

     You must have the DirectX 7.0 SDK installed to compile and run the project!

     Remarks: If you use this code in your applications, just
              let me know (send me an email).
              
     !!!FREEWARE!!!         

     Explaining the LIB names:
     
     fdv_dmVr.LIB - MSVC (Release LIB version)
     fdv_dmVd.LIB - MSVC (Debug LIB version)
     fdv_dmWC.LIB - Watcom (Optimized LIB version)


Good luck!
               -Buzzard

*/

#include <windows.h>         
#include <mmsystem.h>
#include "f99_dmus.h"


// Ponto de Entrada (Main Program)
int WINAPI WinMain(HINSTANCE hinstance,
                        HINSTANCE hprevinstance,
                        LPSTR lpcmdline,
                        int ncmdshow)
{

  int midi_song; // contem identificador do arquivo MIDI (Midi ID)
        
// Inicializa FDV DirectMusic Engine (Init Engine)
  if (!FDV_Dmusic_Init()) return(0);

  
// Carrega MIDI e inicia performance (Load MIDI & Init Playing)  
  midi_song = FDV_Dmusic_Load_MIDI("enjoy6.mid");
  FDV_Dmusic_Play(midi_song);
        
  #if defined(__WATCOMC__) // Se tiver usando o Watcom C/C++ 11.0 (if using Watcom C/C++)
    MessageBox(NULL, "Click OK to Stop Playing! (Pressione OK para finalizar)","FDV DirectMusic Engine (Watcom C/C++ version)- Playing Midi File",MB_OK);
  #else  // Se tiver usando o MSVC ou qualquer outro compilador (using other compiler)
    MessageBox(NULL, "Click OK to Stop Playing! (Pressione OK para finalizar)","FDV DirectMusic Engine (MS Visual C/C++ version)- Playing Midi File",MB_OK);
  #endif  

// Finaliza FDV DirectMusic Engine (DeInit Engine)
  FDV_Dmusic_Delete_MIDI(midi_song);
  FDV_Dmusic_DeInit();

  
// fim (end)
return(0);
} // fim do WinMain (end of WinMain)
